Skip to main content
`Ctrl`+`K`

# pandas.Timedelta.floor

Timedelta.floor(freq)

  Return a new Timedelta floored to this resolution.

  Parameters:
    freq str

      Frequency string indicating the flooring resolution. It uses the same units as class constructor `Timedelta`.

  Examples

      >>> td = pd.Timedelta('1001ms')
      >>> td
      Timedelta('0 days 00:00:01.001000')
      >>> td.floor('s')
      Timedelta('0 days 00:00:01')